Subject: Re: bug#4845: 23.1.50; Uninterned symbols in .elc files

From: Stefan Kangas <[email-masked]>
Date: Wed, 18 Nov 2020 18:41:38 -0800

tags wontfix
close 4845
thanks

John Wiegley <[email-masked]> writes:

>>>>>> Helmut Eller <[email-masked]> writes:
>
>> Interpreted and compiled code behave differently. That's always a problem.
>> Obviously not a big problem.
>
> The number of ways to coax varying behavior from the two execution modes is
> legion. I had to bend over backwards to achieve consistency for use-package
> when byte-compiling an init.el file versus loading it un-byte-compiled. So I
> don't feel this bug is very urgent.
>
>>>>>> Michael Heerdegen <[email-masked]> writes:
>
>> I think this is quite a limitation worth to be fixed, if it is possible with
>> little effort.
>
> Honestly, we have better things to do. If you still think this is a bug, I'm
> fine leaving it open until the day when someone wants to champion the cause of
> interpreted/compiled equivalence, but until then, I'd rather focus on other
> things.

I tend to agree with John here; it doesn't seem worth spending time on
this.  There also have been no further interest in this bug report
within 4 years.

I'm therefore closing this bug report as wontfix.  If anyone disagrees
with that, feel free to reopen.